Skip to content

Attach Public Permission

PUT
/api/v1/storage/public_perms/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/storage/public_perms/?bucket_name=<BUCKET_NAME>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"bucket_name": "open-1",
"role_name": "Download"
}'
bucket_name
required
string

Bucket Name

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
bucket_name
string

Example

open-1
role_name
string
Allowed values: Download Upload Public None

Example

Download

Details of a single user assigned to a bucket

Media typeapplication/json
object
code
integer
data
object
id
integer
user
object
id
integer
my_account_id
integer
nullable
user_name
string
email
string
access_key
string
secret_key
string
nullable
is_default
boolean
disabled
boolean
tag
string
nullable
role
object
id
integer
name
string
display_name
string
active
boolean
deleted
boolean
created_at
string format: date-time
updated_at
string format: date-time
processed
boolean
processed_on
string
nullable
disabled
boolean
date_disabled
string
nullable
location
string
bucket
integer
errors
object
message
string

Example

{
"code": 200,
"data": {
"id": 10010,
"user": {
"id": 20,
"my_account_id": null,
"user_name": "guest",
"email": "guest@example.com",
"access_key": "Public",
"secret_key": null,
"is_default": true,
"disabled": false,
"tag": null
},
"role": {
"id": 2,
"name": "Download",
"display_name": "Download",
"active": true
},
"deleted": false,
"created_at": "2025-01-01T10:00:00Z",
"updated_at": "2025-01-01T10:05:00Z",
"processed": true,
"processed_on": null,
"disabled": false,
"date_disabled": null,
"location": "New York",
"bucket": 98765
},
"errors": {},
"message": "Success"
}